ESPCTAG(1)

NAME
espctag - Edit tags of SPC files (ID666)

SYNOPSIS
espctag [OPTION]... FILE...

DESCRIPTION
By default, espctag prints ID666 tags extracted from SPC files (SNES audio files) on the standard output. When called with the --set switch, flags accept an argument and the corresponding fields are modified. Files are processed in the order specified.

OPTIONS

  Operations (mutually exclusive)

-s, --set
    Set tags

-g, --get
    Print tags. This is the default behaviour

  Global options

-f, --file
    Print file names

-n, --field
    Don't print field names

-t, --type
    Print tags format

-rFORMAT, --rename=FORMAT
    Rename file based on tags. FORMAT is a template string where ordinary characters are simply used as-is, while conversion specifications introduced by a '%' character cause corresponding tag to be formatted and used on the new file name. The conversion specifications have the form:

    %[case-modifier][max-width]conversion

    case-modifier can be '>' for lower case or '<' for upper case.
    max-width is an integer in the range 0-99, it specifies the maximum number of characters that will be used in the new file name.

    The folowing conversion specifications can appear in the template string:

    %s Song title

    %g Game title

    %n Dumper name

    %c Comments

    %d Dump date

    %l Length

    %f Fade length

    %a Artist

    %m Channels

    %e Emulator

    %% Literal '%' character

    Every other conversion specification will cause an error.

-b, --backup-rsn
    Backup the input RSN file if it should be changed. This can save you if something goes wrong between the moment the file is deleted and the moment it is recreated

-e, --no-error
    When several files must be treated, espctag will not stop when an error occurs. It will ignore the file and pass to the next.

-v, --verbose
    Verbose mode

  Field selection

-a, --all
    Select all fields. Can not be used with --set

-S[SONG_TITLE], --song[=SONG_TITLE]
    Print/Set song title

-G[GAME_TITLE], --game[=GAME_TITLE]
    Print/Set game title

-N[DUMPER_NAME], --dumper[=DUMPER_NAME]
    Print/Set dumper name

-C[COMMENTS], --comments[=COMMENTS]
    Print/Set comments

-D[MM/DD/YYYY], --date[=MM/DD/YYYY]
    Print/Set dump date

-L[LENGTH], --length[=LENGTH]
    Print/Set length of song (without fade length)

-F[LENGTH], --fade[=LENGTH]
    Print/Set fadeout length

-A[ARTIST], --artist[=ARTIST]
    Print/Set artist name

-M[CHANNELS], --channels[=CHANNELS]
    Print/Set default channels states (0 = channel is enable / 1 = channel is disable)

-E[EMULATOR], --emulator[=EMULATOR]
    Print/Set emulator used to make the dump

BUGS
Please, submit bug reports on the sourceforge project page, at the following address :

https://sourceforge.net/tracker/?group_id=563796&atid=2286949

AUTHOR
Jerome SONRIER <jsid@emor3j.fr.eu.org>